<template>
  <q-page class="flex flex-center">
    <!-- <pre>{{ result }}</pre> -->
  </q-page>
</template>

<script>
import { defineComponent } from 'vue';
import { useQuery } from '@vue/apollo-composable';
import { pages } from 'src/queries/queries';

export default defineComponent({
  name: 'PageIndex',
  setup() {
    const { result, loading, error } = useQuery(pages, null, {
      clientId: 'default'
    });
    return {
      result,
      loading,
      error
    };
  }
});
</script>
